<template>
  <div class="container">
    <div class="col-md-12 mx-auto mt-5 py-5">
      <div class="card">
        <div class="card-header">
          <h1>Servicios de Peluquero</h1>
        </div>
        <div class="card-body">
          <table class="table">
            <thead class>
              <tr class="bg-primary">
                <th scope="col">Nombres de Servicios</th>
                <th scope="col">Precios</th>
                <th scope="col">Tiempo</th>
              </tr>
            </thead>
            <template v-for="(listservice, index) in service">
              <Serviceitem :service="listservice" :key="index" />
            </template>
          </table>
        </div>
      </div>
    </div>
  </div>
</template>
<script>
import Serviceitem from "@/components/Service/Serviceitem.vue";
export default {
  name: "Service",
  components: {
    Serviceitem
  },
  props: {
    service: {
      //  propType: Object,
      // required: true
    }
  },
  date() {
    return {
      url: "api/service"
    };
  },
  created() {
    this.display_service();
  },
  methods: {
    async display_service() {
      const result = await fetch("api/service");
      const data = await result.json();
      this.service = data;
      console.log("ghh");
    }
  }
};
</script>
<style scoped></style>
